Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dcd
Class UsageNodeVisitor

    java.lang.Object
      net.sourceforge.pmd.dcd.graph.NodeVisitorAdapter
          net.sourceforge.pmd.dcd.UsageNodeVisitor

All Implemented Interfaces:
  NodeVisitor

    public class UsageNodeVisitor

extends NodeVisitorAdapter

Perform a visitation a UsageGraph, looking for dead code, which is essential code which is not used by any other code. There are various options for configuration how this determination is made.

Nested Class Summary
`static class` | `UsageNodeVisitor.Options` Configuration options for usage analysus.

Constructor Summary
`UsageNodeVisitor()`

Method Summary
`java.lang.Object` | `visit(ClassNode classNode, java.lang.Object data)`
`java.lang.Object` | `visit(ConstructorNode constructorNode, java.lang.Object data)`
`java.lang.Object` | `visit(FieldNode fieldNode, java.lang.Object data)`
`java.lang.Object` | `visit(MethodNode methodNode, java.lang.Object data)`
`java.lang.Object` | `visit(UsageGraph usageGraph, java.lang.Object data)`

Methods inherited from class net.sourceforge.pmd.dcd.graph.NodeVisitorAdapter
`visitConstructors, visitFields, visitMethods, visitUse, visitUser, visitUsers, visitUses`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsageNodeVisitor

    public UsageNodeVisitor()

Method Detail

### visit

    public java.lang.Object visit(UsageGraph usageGraph,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`
  Overrides:
    `visit` in class `NodeVisitorAdapter`

### visit

    public java.lang.Object visit(ClassNode classNode,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`
  Overrides:
    `visit` in class `NodeVisitorAdapter`

### visit

    public java.lang.Object visit(FieldNode fieldNode,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`
  Overrides:
    `visit` in class `NodeVisitorAdapter`

### visit

    public java.lang.Object visit(ConstructorNode constructorNode,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`
  Overrides:
    `visit` in class `NodeVisitorAdapter`

### visit

    public java.lang.Object visit(MethodNode methodNode,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`
  Overrides:
    `visit` in class `NodeVisitorAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.